	include	"flib.h"
	include	"hexlib.h"
	xdef	_main
	xdef	_comment
_main:
;**********************************Programme***********************************
;By Laurent PONCEY
;lponcey@club-internet.fr
;******************************************************************************
	move.w	#$700,d0		;\ disable interrupts, and put
	trap	#1			;/ the old int mask in D0
	move.w	d0,-(sp)		; push old int mask onto stack

	bset	#6,($60000C)

affiche:
	move.w	tps1,d0
	move.w	d0,tps2

	jsr	flib::clr_scr
	move.w	tps1,d0
	move.l	#2,d1
	move.l	#2,d2
	move.l	#3,d4
	jsr	hexlib::put_hex
	move.w	tps2,d0
	move.l	#3,d1
	move.l	#2,d2
	move.l	#3,d4
	jsr	hexlib::put_hex

bcle_menu:
	move.w	#8,d0	;[Esc]
	bsr	masque
	btst.b	#6,d0
	beq	fin
	move.w		#0,d0
	bsr		masque	;clavier
	btst.b		#4,d0
	beq		down	[flche gauche]
	btst.b		#6,d0	
	beq		up	[flche dtre]
	move.w	#6,d0	;[F1]
	bsr	masque
	btst.b	#4,d0
	bne	bcle_menu
	bra	play

up:
	add	#1,tps1
b_att1:
	move.w		#0,d0
	bsr		masque	;clavier
	btst.b		#6,d0	
	beq		b_att1	[flche dtre]
	bra	affiche

down:
	sub	#1,tps1
b_att2:
	move.w		#0,d0
	bsr		masque	;clavier
	btst.b		#4,d0
	beq		b_att2	[flche gauche]
	bra	affiche

play:
	move.w	tps1,d7			;dure crneau 1
	move.w	tps2,d6			;dure crneau 2
	move.w	#$ffff,d4		;nbre rptitions

	bclr	#0,($60000E)
	bset	#1,($60000E)

bcle_principale:
	dbf.w	d7,suite2
	move.w	tps1,d7
	bchg	#0,($60000E)
suite2:
	dbf.w	d6,suite3
	move.w	tps2,d6
	bchg	#1,($60000E)
suite3:
	dbf	d4,bcle_principale
	bra	bcle_menu

fin:
	bclr	#0,($60000E)
	bclr	#1,($60000E)
	move.b	#$8D,($60000C)
	move.w	(sp)+,d0		;\ restore old
	trap	#1			;/  int mask
	rts

;********************************
;masque une ligne clavier
;--------------------------------
;d0=ligne -> d0=rponse
;********************************
masque:
	movem.l		d1,-(a7)
	move.w		#$FFFE,d1
	rol.w		d0,d1
	clr.w		d0
	move.w		d1,($600018)
	nop
	nop
	nop
	nop
	nop
	nop
	move.b		($60001B),d0
	movem.l		(a7)+,d1
	rts

;***********************************Donnes************************************

_comment	dc.b	"Frequency",0
tps1		dc.w	$100
tps2		dc.w	$100

	end
